cascading.flow.planner.iso.expression

## Class NotElementExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.NotElementExpression

- All Implemented Interfaces:
    Expression<FlowElement>

      public class NotElementExpression
      extends ElementExpression

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotElementExpression(ElementExpression delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applies(PlannerContext plannerContext, ElementGraph elementGraph, FlowElement flowElement)`
    `ElementCapture` | `getCapture()`
    `static ElementExpression` | `not(ElementExpression elementMatcher)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotElementExpression

          public NotElementExpression(ElementExpression delegate)

  - ### Method Detail

    - #### not

          public static ElementExpression not(ElementExpression elementMatcher)

    - #### applies

          public boolean applies(PlannerContext plannerContext,
                        ElementGraph elementGraph,
                        FlowElement flowElement)

    - #### getCapture

          public ElementCapture getCapture()

      Overrides:
        `getCapture` in class `ElementExpression`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ElementExpression`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.